#!/usr/bin/env ruby -w
# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH.unshift("../../compat") unless $LOAD_PATH.include?("../../compat")
$LOAD_PATH << "../../lib" unless $LOAD_PATH.include?("../../lib")
$debug = true

#require "test/unit"
#require "pp"
#require "qwik/qp"
#require "qwik/server"
require "qwik/test-module-session"

def make_clean
  "example.com".path.remove_directory
  "test".path.remove_directory
  "www".path.remove_directory
end

def load_test_files
end

def load_act_files2
  loadlib = Qwik::LoadLibrary.new("../../lib")
  loadlib.glob("qwik/act-theme.rb")
  loadlib.glob("qwik/act-view.rb")
end

def load_act_files
  require "qwik/loadlib"
  loadlib = Qwik::LoadLibrary.new("../../lib")
#  loadlib.glob("qwik/act-aa.rb")
end

def load_unit_tests
  require "qwik/loadlib"
  loadlib = Qwik::LoadLibrary.new("../../lib")
end

def load_qwik_files
  require "qwik/loadlib"
  loadlib = Qwik::LoadLibrary.new("../../lib")
end

def load_bench_files
end

def load_check_files
end


if $0 == __FILE__
  make_clean
  load_test_files
  #load_usecase_files
  load_act_files
  load_act_files2
  load_qwik_files
  #load_check_files
  #load_bench_files
end

